﻿Public Class MusicBrainzAlbumContentData
    Public Class Area
        '<JsonProperty("sort-name")>
        Public Property sortname As String
        Public Property type As Object
        Public Property disambiguation As String
        Public Property name As String
        Public Property id As String
        '<JsonProperty("type-id")>
        Public Property typeid As Object
        '<JsonProperty("iso-3166-1-codes")>
        Public Property iso31661codes As List(Of String)
    End Class

    Public Class CoverArtArchive
        Public Property artwork As Boolean
        Public Property front As Boolean
        Public Property darkened As Boolean
        Public Property count As Integer
        Public Property back As Boolean
    End Class

    Public Class Medium
        Public Property format As String
        '<JsonProperty("track-offset")>
        Public Property trackoffset As Integer
        Public Property tracks As List(Of Track)
        '<JsonProperty("track-count")>
        Public Property trackcount As Integer
        '<JsonProperty("format-id")>
        Public Property formatid As String
        Public Property position As Integer
        Public Property title As String
    End Class

    Public Class Recording
        Public Property video As Boolean
        Public Property disambiguation As String
        '<JsonProperty("first-release-date")>
        Public Property firstreleasedate As String
        Public Property title As String
        Public Property length As Integer
        Public Property id As String
    End Class

    Public Class ReleaseEvent
        Public Property area As Area
        'Public Property date As String
    End Class

    Public Class Root
        '<JsonProperty("release-events")>
        Public Property releaseevents As List(Of ReleaseEvent)
        '<JsonProperty("packaging-id")>
        Public Property packagingid As String
        Public Property media As List(Of Medium)
        Public Property quality As String
        Public Property status As String
        'Public Property date As String
        Public Property packaging As String
        '<JsonProperty("cover-art-archive")>
        Public Property coverartarchive As CoverArtArchive
        Public Property disambiguation As String
        Public Property id As String
        '<JsonProperty("text-representation")>
        Public Property textrepresentation As TextRepresentation
        Public Property asin As String
        '<JsonProperty("status-id")>
        Public Property statusid As String
        Public Property country As String
        Public Property barcode As String
        Public Property title As String
    End Class

    Public Class TextRepresentation
        Public Property script As String
        Public Property language As String
    End Class

    Public Class Track
        Public Property recording As Recording
        Public Property id As String
        Public Property length As Integer
        Public Property title As String
        Public Property number As String
        Public Property position As Integer
    End Class

End Class
